---
orphan: true
---

# Delete callback rules

Delete a callback routing rule.

```text
DELETE https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/callback-rules/{callback_rule_id}
```

## Before you call

Called using `$AI_STUDIO_API_KEY`, `$WORKSPACE_ID` and `$CALLBACK_RULE_ID`.

## Request example

```bash
curl -X DELETE "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/callback-rules/$CALLBACK_RULE_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` on success and confirms that the rule has been deleted.

```json
{"code":0,"data":{"deleted":true}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.deleted` | boolean | Whether it has been deleted. |

## Error response

```json
{"code":5,"message":"callback rule not found"}
```
